#
# spec file for package python-betamax
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-betamax
Version:        0.7.0
Release:        2.5
Summary:        A VCR imitation for python-requests
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/sigmavirus24/betamax
Source:         https://pypi.io/packages/source/b/betamax/betamax-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-requests >= 2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Betamax is a VCR_ imitation for requests. This will make mocking out requests
much easier.

%prep
%setup -q -n betamax-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue Jun  7 2016 tbechtold@suse.com
- update to 0.7.0:
  - Add before_record and before_playback hooks
  - Allow per-cassette placeholders to be merged and override global placeholders
  - Fix bug where the QueryMatcher failed matching on high Unicode points
  - Add betamax_recorder pytest fixture
  - Change default behaviour to allow duplicate interactions to be recorded
    in single cassette
  - Add allow_playback_repeats to allow an interaction to be used more than once
    from a single cassette
  - Always return a new Response object from an Interaction to allow for a
    streaming response to be usable multiple times
  - Remove CI support for Pythons 2.6 and 3.2
* Thu Feb 11 2016 tbechtold@suse.com
- Initial packaging (version 0.5.1)
